<div class="ch-item"
    [ngClass]="{'odd': index%2 == 0, 'even': index%2 != 0}">
    <div class="ch-list-background-trans"></div>
    <div class="ch-item-content">
      <h5>
        <a [routerLink]="['/posts', entry._id]" href='#'>
          {{entry.title}}
        <div [ngClass]="{
            'important-status': entry.priority == 2,
            'middle-important-status': entry.priority == 1,
            'not-important-status': entry.priority == 0
          }"></div>
        </a>
      </h5>
      <p>{{entry.description | truncate: 200}} <a [routerLink]="['/posts', entry._id]" href="#">{{'POSTS.READ_MORE' | translate}} [..]</a></p>
      <div class="ch-post-footer">
        <span id="authorName">
          <i class="fa fa-user" aria-hidden="true"></i>
          <strong>{{entry.author.firstName + ' ' + entry.author.lastName}}</strong>
        </span>
        <span id="dateName">
          <i class="fa fa-calendar" aria-hidden="true"></i>
          <strong>{{entry.updatedAt | date: 'short'}}</strong>
        </span>
        <span id="commentsName">
          <i class="fa fa-comments" aria-hidden="true"></i>
          <a [routerLink]="['/posts', entry._id]" fragment="commentsSection" href="#">
            <strong>{{entry.comments.length}}</strong> {{'POSTS.COMMENTS' | translate}}
          </a>
        </span>
        <span id="categoryName">
          <i class="fa fa-folder-open" aria-hidden="true"></i>
          <a [routerLink]="['/categories', entry.category._id, 'posts']" href="#">
            <strong>{{entry.category.title}}</strong>
          </a>
        </span>
      </div>
    </div>
</div>
